﻿using System;

using Google.Apis.Services;
using Google.Apis.YouTube.v3;
using Google.Apis.YouTube.v3.Data;

namespace TestProject
{
    /// <summary>
    /// 프로그램
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        private static void Main()
        {
            YouTubeService service = new YouTubeService
            (
                new BaseClientService.Initializer()
                {
                    ApiKey          = "XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX", // API 키를 설정한다.
                    ApplicationName = "TestProject"                              // 애플리케이션명을 설정한다.
                }
            );

            SearchResource.ListRequest request = service.Search.List("snippet");

            request.Q          = "우주"; // 검색할 단어를 설정한다.
            request.MaxResults = 50;     // 최대 50개까지만 검색할 수 있다.

            SearchListResponse response = request.ExecuteAsync().GetAwaiter().GetResult();

            int i = 0;

            foreach(SearchResult result in response.Items)
            {
                if(result.Id.Kind == "youtube#video")
                {
                    Console.WriteLine(++i);
                    Console.WriteLine($"ID   : {result.Id.VideoId   }");
                    Console.WriteLine($"제목 : {result.Snippet.Title}");
                    Console.WriteLine();
                }
            }
        }

        #endregion
    }
}